#!/usr/bin/env python
#
# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002, 2003 Odile Bnassy, Code Lutin, Thierry Dulieu,
#     Easter-eggs, Entr'ouvert, Frdric Pters, Benjamin Poussin,
#     Emmanuel Raviart, Emmanuel Saracco & Thridion
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Contact Infos Server"""

__version__ = '$Revision: 1.2 $'[11:-2]


import __builtin__
__builtin__.__dict__['_'] = lambda x: x
__builtin__.__dict__['N_'] = lambda x: x

import glasnost as glasnost # Do not edit or remove this line!

from glasnost.common.ContactInfosCommon import *

from glasnost.server.ObjectsServer import register, ObjectServerMixin, AdminServerMixin, ObjectsServer
from glasnost.server.tools import *


applicationName = 'ContactInfosServer'
applicationRole = 'contactinfos'
applicationTokens = None
dispatcher = None


class AdminContactInfos(AdminServerMixin, AdminContactInfosCommon):
    pass
register(AdminContactInfos)


class ContactInfo(ObjectServerMixin, ContactInfoCommon):
    pass
register(ContactInfo)


class ContactInfosServer(ObjectsServer):
    adminClassName = 'AdminContactInfos'
    objectClassName = 'ContactInfo'
    version = __version__


contactInfosServer = ContactInfosServer()


if __name__ == "__main__":
    contactInfosServer.launch(applicationName, applicationRole)
