# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Comments Common Models"""

__version__ = '$Revision: 1.12 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminCommentsCommon(AdminCommon):
    allowAnonymousComments = 0
    allowAnonymousComments_kind_isPublicForXmlRpc = 1
    allowAnonymousComments_kind_isRequired = 1
    allowAnonymousComments_kindName = 'Boolean'

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = AdminCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['allowAnonymousComments']
        return slotNames


class CommentCommon(ObjectCommon):
    authorId = None
    authorId_kind_hasToModify = 0
    authorId_kind_isPublicForXmlRpc = 1
    authorId_kind_serverRoles = ['people']
    authorId_kindName = 'Id'
    
    body = None
    body_kind_balloonHelp = N_('Enter the text of your comment.')
    body_kind_isPublicForXmlRpc = 1
    body_kind_isRequired = 1
    body_kind_useCustomStorage = 1
    body_kindName = 'String'

    sourceId = None
    sourceId_kind_hasToModify = 0
    sourceId_kind_isPublicForXmlRpc = 1
    sourceId_kindName = 'Id'

    title = None
    title_kind_balloonHelp = N_('Enter the title of your comment.')
    title_kind_isPublicForXmlRpc = 1
    title_kind_isRequired = 1
    title_kindName = 'String'

    def canCache(self):
        return 1

    def getLabel(self):
        if self.title:
            return self.title
        return 'some comment'

    def getOrderedLayoutSlotNames(self, fields, parentSlot = None):
        slotNames = ObjectWebMixin.getOrderedLayoutSlotNames(
            self, fields, parentSlot = parentSlot)
        slotNames += ['title', 'body', 'sourceId', 'authorId']
        return slotNames


class CommentsCommon:
    adminClassName = 'AdminComments'
    newObjectNameCapitalized = N_('New Comment')
    objectClassName = 'Comment'
    objectName = N_('comment')
    objectNameCapitalized = N_('Comment')
    objectsName = N_('comments')
    objectsNameCapitalized = N_('Comments')
    serverRole = 'comments'

