# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Groups Common Models"""

__version__ = '$Revision: 1.13 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminGroupsCommon(AdminCommon):
    pass


class GroupCommon(ObjectCommon):
    itemIds = None
    itemIds_kind_hasToModify = 0
    itemIds_kind_isPublicForXmlRpc = 1
    itemIds_kind_itemKind_valueName = 'Id'
    itemIds_kindName = 'Sequence'

    membersSet = None
    membersSet_kind_balloonHelp = N_('Choose the members of this group.')
    membersSet_kind_isPublicForXmlRpc = 1
    membersSet_kind_itemKind_valueName = 'Id'
    membersSet_kindName = 'Sequence'

    name = None
    name_kind_balloonHelp = N_('Enter the name of this group.')
    name_kind_isPublicForXmlRpc = 1
    name_kind_isRequired = 1
    name_kindName = 'String'

    nonMembersSet = None
    membersSet_kind_balloonHelp = N_(
        'Choose ones that shouldn\'t be part of this group.')
    nonMembersSet_kind_isPublicForXmlRpc = 1
    nonMembersSet_kind_itemKind_valueName = 'Id'
    nonMembersSet_kindName = 'Sequence'

    def canCache(self):
        return 1

    def getLabel(self):
        label = self.name
        if label is None:
            return ''
        return label

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['name', 'membersSet', 'nonMembersSet', 'itemIds']
        return slotNames

class GroupsCommon:
    adminClassName = 'AdminGroups'
    newObjectNameCapitalized = N_('New Group')
    objectClassName = 'Group'
    objectName = N_('group')
    objectNameCapitalized = N_('Group')
    objectsName = N_('groups')
    objectsNameCapitalized = N_('Groups')
    serverRole = 'groups'

