# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost PELBilans Common Models"""

__version__ = '$Revision: 1.7 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminPELBilansCommon(AdminCommon):
    pass


class PELBilanCommon(ObjectCommon):
    actionName = None
    actionName_kind_hasToModify = 0
    actionName_kind_isPublicForXmlRpc = 1
    actionName_kindName = 'String'

    activityPole = None
    activityPole_kind_isPublicForXmlRpc = 1
    activityPole_kind_isRequired = 1
    activityPole_kind_values = [
        'school',
        'sport',
        'culture',
        'multi',
        ]
    activityPole_kindName = 'Choice'

    authorsSet = None
    authorsSet_kind_balloonHelp = N_('Select the author(s) of the item.')
    authorsSet_kind_isPublicForXmlRpc = 1
    authorsSet_kindName = 'AuthorsSet'

    creationTime = None
    creationTime_kind_isPublicForXmlRpc = 1
    creationTime_kindName = 'CreationTime'

    duration = None
    duration_kind_isPublicForXmlRpc = 1
    duration_kind_isRequired = 1
    duration_kind_requiredParts = ['hour', 'minute']
    duration_kindName = 'Duration'

    frequentersByAge = None
    frequentersByAge_kind_isPublicForXmlRpc = 1
    frequentersByAge_kind_keyKind_value_isReadOnly = 1
    frequentersByAge_kind_keyKind_value_values = [
        '0-2', 
        '3-5', 
        '6-11', 
        '12-15', 
        '16+',
        ]
    frequentersByAge_kind_keyKind_valueName = 'Choice'
    frequentersByAge_kind_valueKind_valueName = 'Integer'
    frequentersByAge_kindName = 'Mapping'

    frequentersByArea = None
    frequentersByArea_kind_isPublicForXmlRpc = 1
    frequentersByArea_kind_keyKind_value_isReadOnly = 1
    frequentersByArea_kind_keyKind_value_values = [
        'insidearea',
        'outsidearea',
        ]
    frequentersByArea_kind_keyKind_valueName = 'Choice'
    frequentersByArea_kind_valueKind_valueName = 'Integer'
    frequentersByArea_kindName = 'Mapping'

    frequentersByQF = None
    frequentersByQF_kind_isPublicForXmlRpc = 1
    frequentersByQF_kind_keyKind_value_isReadOnly = 1
    frequentersByQF_kind_keyKind_value_values = [ str(x) for x in range(1,10) ]
    frequentersByQF_kind_keyKind_valueName = 'Choice'
    frequentersByQF_kind_valueKind_valueName = 'Integer'
    frequentersByQF_kindName = 'Mapping'

    frequentersBySex = None
    frequentersBySex_kind_isPublicForXmlRpc = 1
    frequentersBySex_kind_keyKind_value_isReadOnly = 1
    frequentersBySex_kind_keyKind_value_values = [
        'm',
        'f',
        ]
    frequentersBySex_kind_keyKind_valueName = 'Choice'
    #frequentersBySex_kind_requiredCount = 2
    frequentersBySex_kind_valueKind_valueName = 'Integer'
    frequentersBySex_kindName = 'Mapping'

    goals = None
    goals_kind_hasToModify = 0
    goals_kind_isPublicForXmlRpc = 1
    goals_kind_itemKind_valueName = 'XChoice'
    goals_kind_itemKind_value_values = [
        'freetime',
        'autonomy',
        'remedial',
        'socialisation',
        'appropriation',
        'physical',
        'effort',
        'localenv',
        'remoteenv',
        'citizenship',
        'violence',
        'parents',
        'generationmix',
        'expression',
        'selfrespect',
        'locallife',
        'localbonds',
        'none',
        ]
    goals_kindName = 'Sequence'

    language_kindName = None

    missingPartners = None
    missingPartners_kind_isPublicForXmlRpc = 1
    missingPartners_kindName = 'String'
    
    modificationTime = None
    modificationTime_kind_isPublicForXmlRpc = 1
    modificationTime_kindName = 'ModificationTime'

    official = None
    official_kind_balloonHelp = 'Nature'
    official_kind_isPublicForXmlRpc = 1
    official_kind_isRequired = 1
    official_kind_values = [
        'kindergarten',
        'primary',
        'secondary',
        'association',
        'socialservice',
        'youthclub',
        'artscenter',
        ]
    official_kindName = 'XChoice'

    owner = None
    owner_kind_isPublicForXmlRpc = 1
    owner_kind_isRequired = 1
    owner_kindName = 'String'

    partners = None
    partners_kind_isPublicForXmlRpc = 1
    partners_kind_itemKind_valueName = 'XChoice'
    partners_kind_itemKind_value_values = [
        'primary',
        'secondary',
        'outsidearea',
        'socialworkers',
        'volunteers',
        'townstructures',
        'associations',
        'townshipservices',
        'localstructures',
        ]
    partners_kindName = 'Sequence'

    periodicity = None
    periodicity_kind_isPublicForXmlRpc = 1
    periodicity_kind_isRequired = 1
    periodicity_kind_values = [
        'lunch',
        'wednesday',
        'saturday',
        'schooldays',
        'holiday',
        'vacation',
        ]
    periodicity_kindName = 'Choice'

    quantity = None
    quantity_kind_isPublicForXmlRpc = 1
    quantity_kind_isRequired = 1
    quantity_kindName = 'Integer'

    readersSet = None
    readersSet_kind_balloonHelp = N_(
        'Select persons or groups who will be able to read this item.')
    readersSet_kind_isPublicForXmlRpc = 1
    readersSet_kindName = 'ReadersSet'

    writersSet = None
    writersSet_kind_balloonHelp = N_(
        'Select persons or groups who will be able to edit this item.')
    writersSet_kind_isPublicForXmlRpc = 1
    writersSet_kindName = 'WritersSet'


    def getLabel(self):
        label = self.actionName
        if label is None:
            return ''
        return label

    def getLabelLanguage(self):
        return ''

    def getLanguage(self):
        language = self.language
        if language == None :
            return ''
        return language 

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += [
            'owner', 'actionName', 'official', 'activityPole', 'quantity',
            'duration', 'frequentersByAge', 'frequentersBySex',
            'frequentersByArea', 'periodicity', 'goals', 'partners',
            'missingPartners', 'frequentersByQF',
            'creationTime', 'modificationTime', 'authorsSet', 'writersSet',
            'readersSet',
            ]
        return slotNames


class PELBilansCommon:
    adminClassName = 'AdminPELBilans'
    newObjectNameCapitalized = 'Nouveau Bilan Plan Educatif Local'
    objectClassName = 'PELBilan'
    objectName = 'bilan Plan Educatif Local'
    objectNameCapitalized = 'Bilan Plan Educatif Local'
    objectsName = 'bilans Plan Educatif Local'
    objectsNameCapitalized = 'Bilans Plan Educatif Local'
    serverRole = 'pelbilans'

