# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost PageName Common Models"""

__version__ = '$Revision: 1.12 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminPageNamesCommon(AdminCommon):
    pass


class PageNameCommon(ObjectCommon):
    language_kindName = None

    mappedId = None
    mappedId_kind_balloonHelp = N_(
        'Select the object this alias will point to.')
    mappedId_kind_isPublicForXmlRpc = 1
    mappedId_kind_isRequired = 1
    mappedId_kindName = 'Id'

    name = None
    name_kind_balloonHelp = N_(
        'Enter the name of this alias (will be used in the URL).')
    name_kind_isPublicForXmlRpc = 1
    name_kind_isRequired = 1
    name_kindName = 'Alias'

    def canCache(self):
        return 1

    def getLabel(self):
        label = self.name
        if label is None:
            return ''
        return label

    def getLabelLanguage(self):
        return ''

    def getLanguage(self):
        return ''

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['name', 'mappedId']
        return slotNames

class PageNamesCommon:
    adminClassName = 'AdminPageNames'
    newObjectNameCapitalized = N_('New Alias')
    objectClassName = 'PageName'
    objectName = N_('alias')
    objectNameCapitalized = N_('Alias')
    objectsName = N_('aliases')
    objectsNameCapitalized = N_('Aliases')
    serverRole = 'pagenames'

