# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Preferences Common Models"""

__version__ = '$Revision: 1.12 $'[11:-2]


from ObjectsCommon import ObjectCommon
import accounting


class PreferenceCommon(ObjectCommon):
    cryptEmails = 1
    cryptEmails_kind_balloonHelp = N_('Choose whether to crypt e-mails Glasnost sends to you.')
    cryptEmails_kind_isPublicForXmlRpc = 1
    cryptEmails_kind_isRequired = 1
    cryptEmails_kindName = 'Boolean'

    currency = 'eur'
    currency_kind_balloonHelp = N_('Select the currency you want to use in the accountancy modules.')
    currency_kind_isPublicForXmlRpc = 1
    currency_kind_isRequired = 1
    currency_kind_values = accounting.currencyValues
    currency_kindName = 'Choice'
    
    id_kindName = None

    language = 'None'
    language_kind_balloonHelp = N_('Select the language you want to use.')
    language_kind_values = [
        'None',
        'C',
        'de',
        'fi',
        'fr',
        'sv',
        ]

    objectsMemory = None
    objectsMemory_kind_isPublicForXmlRpc = 1
    objectsMemory_kindName = 'Memory'

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['currency', 'cryptEmails', 'objectsMemory']
        return slotNames


class PreferencesCommon:
    newObjectNameCapitalized = N_('New Preferences')
    objectName = N_('preferences')
    objectNameCapitalized = N_('Preferences')
    objectsName = N_('preferences')
    objectsNameCapitalized = N_('Preferences')
    serverRole = 'preferences'

