# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Rubrics Common Models"""

__version__ = '$Revision: 1.14 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminRubricsCommon(AdminCommon):
    mainRubricId = None
    mainRubricId_kind_balloonHelp = N_(
        'Select the main heading of the web site.')
    mainRubricId_kind_isPublicForXmlRpc = 1
    mainRubricId_kind_serverRoles = ['rubrics']
    mainRubricId_kindName = 'Id'

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = AdminCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['mainRubricId']
        return slotNames


class RubricCommon(ObjectCommon):
    contentId = None
    contentId_kind_balloonHelp = N_(
        'Select the front article of this heading.')
    contentId_kind_isPublicForXmlRpc = 1
    contentId_kind_serverRoles = ['articles']
    contentId_kindName = 'Id'

    membersSet = None
    membersSet_kind_balloonHelp = N_(
        'Select the objects that are parts of this heading.')
    membersSet_kind_isPublicForXmlRpc = 1
    membersSet_kind_itemKind_valueName = 'Id'
    membersSet_kindName = 'Sequence'

    name = None
    name_kind_balloonHelp = N_('Enter the name of this heading.')
    name_kind_isPublicForXmlRpc = 1
    name_kind_isRequired = 1
    name_kindName = 'String'

    readersSet = None
    readersSet_kind_isPublicForXmlRpc = 1
    readersSet_kindName = 'ReadersSet'

    writersSet = None
    writersSet_kind_isPublicForXmlRpc = 1
    writersSet_kindName = 'WritersSet'

    def getLabel(self):
        label = self.name
        if label is None:
            return ''
        return label

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += [
            'name', 'contentId', 'membersSet', 'writersSet', 'readersSet']
        return slotNames


class RubricsCommon:
    adminClassName = 'AdminRubrics'
    newObjectNameCapitalized = N_('New Heading')
    objectClassName = 'Rubric'
    objectName = N_('heading')
    objectNameCapitalized = N_('Heading')
    objectsName = N_('headings')
    objectsNameCapitalized = N_('Headings')
    serverRole = 'rubrics'

