# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost System Files Common Models"""

__version__ = '$Revision: 1.15 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminSystemFilesCommon(AdminCommon):
    pass


class SystemFileCommon(ObjectCommon):
    creationTime = None
    creationTime_kind_isPublicForXmlRpc = 1
    creationTime_kindName = 'CreationTime'

    data = None
    data_kind_hasToModify = 0
    data_kind_useCustomStorage = 1
    data_kind_isPublicForXmlRpc = 1
    data_kind_isRequired = 1
    data_kindName = 'Data'

    filePath = None
    filePath_kind_isPublicForXmlRpc = 1
    filePath_kind_isRequired = 1
    filePath_kindName = 'FilePath'

    modificationTime = None
    modificationTime_kind_isPublicForXmlRpc = 1
    modificationTime_kindName = 'ModificationTime'

    readersSet = None
    readersSet_kind_isPublicForXmlRpc = 1
    readersSet_kindName = 'ReadersSet'

    size = None
    size_kind_hasToModify = 0
    size_kind_useCustomStorage = 1
    size_kind_isPublicForXmlRpc = 1
    size_kindName = 'Integer'

    title = None
    title_kind_isPublicForXmlRpc = 1
    title_kind_isRequired = 1
    title_kindName = 'String'

    writersSet = None
    writersSet_kind_isPublicForXmlRpc = 1
    writersSet_kindName = 'WritersSet'

    def getLabel(self):
        label = self.getTitle()
        if label is None:
            return ''
        return label

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += [
            'title', 'filePath', 'data', 'size', 'creationTime',
            'modificationTime', 'writersSet', 'readersSet']
        return slotNames

    def getTitle(self):
        return self.title


class SystemFilesCommon:
    adminClassName = 'AdminSystemFiles'
    newObjectNameCapitalized = N_('New System File')
    objectClassName = 'SystemFile'
    objectName = N_('system file')
    objectNameCapitalized = N_('System File')
    objectsName = N_('system files')
    objectsNameCapitalized = N_('System Files')
    serverRole = 'systemfiles'

