# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Upload Files Common Models"""

__version__ = '$Revision: 1.19 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminUploadFilesCommon(AdminCommon):
    pass


class UploadFileCommon(ObjectCommon):
    comment = None
    comment_kind_balloonHelp = N_('Enter an eventual comment about the file.')
    comment_kind_isPublicForXmlRpc = 1
    comment_kindName = 'String'

    creationTime = None
    creationTime_kind_isPublicForXmlRpc = 1
    creationTime_kindName = 'CreationTime'

    data = None
    data_kind_balloonHelp = N_('Select the file to upload.')
    data_kind_useCustomStorage = 1
    data_kind_isPublicForXmlRpc = 1
    data_kind_isRequired = 1
    data_kindName = 'Data'

    dataFileName = None
    dataFileName_kind_isPublicForXmlRpc = 1
    dataFileName_kind_isTranslatable = 0
    dataFileName_kindName = 'String'

    dataType = None
    dataType_kind_isPublicForXmlRpc = 1
    dataType_kind_isTranslatable = 0
    dataType_kindName = 'String'

    height = None
    height_kind_hasToModify = 0
    height_kind_useCustomStorage = 1
    height_kind_isPublicForXmlRpc = 1
    height_kindName = 'Integer'

    modificationTime = None
    modificationTime_kind_isPublicForXmlRpc = 1
    modificationTime_kindName = 'ModificationTime'

    readersSet = None
    readersSet_kind_isPublicForXmlRpc = 1
    readersSet_kindName = 'ReadersSet'

    size = None
    size_kind_hasToModify = 0
    size_kind_useCustomStorage = 1
    size_kind_isPublicForXmlRpc = 1
    size_kindName = 'Integer'

    title = None
    title_kind_balloonHelp = N_('Enter a title for the file.')
    title_kind_isPublicForXmlRpc = 1
    title_kind_isRequired = 1
    title_kindName = 'String'

    width = None
    width_kind_hasToModify = 0
    width_kind_useCustomStorage = 1
    width_kind_isPublicForXmlRpc = 1
    width_kindName = 'Integer'

    writersSet = None
    writersSet_kind_isPublicForXmlRpc = 1
    writersSet_kindName = 'WritersSet'

    def getLabel(self):
        label = self.getTitle()
        if label is None:
            return ''
        return label

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += [
            'title', 'dataType', 'dataFileName', 'data', 'size', 'width', 
            'height', 'comment', 'creationTime', 'modificationTime', 
            'writersSet', 'readersSet']
        return slotNames

    def getTitle(self):
        return self.title

    def isType(self, type):
        return self.dataType and self.dataType.startswith(type)


class UploadFilesCommon:
    adminClassName = 'AdminUploadFiles'
    newObjectNameCapitalized = N_('New File')
    objectClassName = 'UploadFile'
    objectName = N_('file')
    objectNameCapitalized = N_('File')
    objectsName = N_('files')
    objectsNameCapitalized = N_('Files')
    serverRole = 'uploadfiles'

