# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Virtual Hosts Common Models"""

__version__ = '$Revision: 1.18 $'[11:-2]


from ObjectsCommon import AdminCommon, ObjectCommon


class AdminVirtualHostsCommon(AdminCommon):
    pass


class VirtualHostCommon(ObjectCommon):
    creationTime = None
    creationTime_kind_isPublicForXmlRpc = 1
    creationTime_kindName = 'CreationTime'

    defaultDispatcherId = None
    defaultDispatcherId_kind_balloonHelp = N_('Enter the Glasnost dispatcher id for this virtual host (you may have to consult your administrator).')
    defaultDispatcherId_kind_isPublicForXmlRpc = 1
    defaultDispatcherId_kind_isRequired = 1
    defaultDispatcherId_kindName = 'Id'
        # FIXME: kindName 'Id' should be replaced by DispatcherId.

    hostName = None
    hostName_kind_balloonHelp = N_('Enter the host name.')
    hostName_kind_isPublicForXmlRpc = 1
    hostName_kind_isRequired = 1
    hostName_kindName = 'String'

    modificationTime = None
    modificationTime_kind_isPublicForXmlRpc = 1
    modificationTime_kindName = 'ModificationTime'

    readersSet = None
    readersSet_kind_isPublicForXmlRpc = 1
    readersSet_kindName = 'ReadersSet'

    templateDirectoryName = 'glasnost2'
    templateDirectoryName_kind_balloonHelp = N_(
        'Select the template (skin) to use for this host.')
    templateDirectoryName_kind_isPublicForXmlRpc = 1
    templateDirectoryName_kind_isRequired = 1
    templateDirectoryName_kindName = 'Choice'

    title = None
    title_kind_balloonHelp = N_('Enter the title of this virtual host.')
    title_kind_isPublicForXmlRpc = 1
    title_kind_isRequired = 1
    title_kindName = 'String'

    writersSet = None
    writersSet_kind_isPublicForXmlRpc = 1
    writersSet_kindName = 'WritersSet'

    def getLabel(self):
        label = self.getTitle()
        if label is None:
            return ''
        return label

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = ObjectCommon.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += [
            'title', 'defaultDispatcherId', 'hostName',
            'templateDirectoryName', 'creationTime', 'modificationTime',
            'writersSet', 'readersSet']
        return slotNames

    def getTitle(self):
        return self.title


class VirtualHostsCommon:
    adminClassName = 'AdminVirtualHosts'
    newObjectNameCapitalized = N_('New Virtual Host')
    objectClassName = 'VirtualHost'
    objectName = N_('virtual host')
    objectNameCapitalized = N_('Virtual Host')
    objectsName = N_('virtual hosts')
    objectsNameCapitalized = N_('Virtual Hosts')
    serverRole = 'virtualhosts'

