# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Accounting Initialization Values"""

__version__ = '$Revision: 1.12 $'[11:-2]


import time


certaintyValues = range(1,6)

currencyValues = [
    'all',
    'dzd',
    'ars',
    'aud',
    'bhd',
    'bwp',
    'bob',
    'brl',
    'gbp',
    'bgl',
    'cad',
    'clp',
    'cny',
    'xaf',
    'xof',
    'xpf',
    'cop',
    'hrk',
    'cup',
    'cyp', 
    'czk',
    'dkk',
    'ecs',
    'egp',
    'eek',
    'etb',
    'eur',
    'gel',
    'hkd',
    'huf',
    'isk',
    'inr',
    'iqd',
    'ils',
    'jpy',
    'jod',
    'kes',
    'kwd',
    'lvl',
    'lbp',
    'ltl',
    'lyd',
    'myr',
    'mtl',
    'mur',
    'mxn',
    'mad',
    'npr',
    'nzd',
    'kpw',
    'nok',
    'omr',
    'pkr',
    'pyg',
    'pen',
    'php',
    'pln',
    'rol',
    'rur',
    'qar',
    'sar',
    'sgd',
    'sit',
    'skk',
    'syp',
    'zar',
    'krw',
    'lkr',
    'sek',
    'chf',
    'twd',
    'tnd',
    'trl',
    'thb',
    'usd',
    'aed',
    'veb',
    'uah',
    'uyu',
    'vnd',
    'yer',
    'yum',
    ]

typeValues = [
    'other',
    'purchase',
    'report',
    'salary',
    'sale',
    'vat',
    ]

def accountLabel(number, label, sep = '. '):
    if label is None:
        label = ''
    if number is None:
        number = ''
    if not label and not number:
        return ''
    return '%s%s%s' %  (number, sep, label) 

def amountDisplay(amount, sep='.', withSide = 1):
    assert type(amount) == type(1)
    if withSide:
        if amount < 0:
            side = N_('debit')
        else:
            side = N_('credit')
    if amount < 0:
        amount = - amount
    amount = str(amount)
    if withSide:
        result = '%s%s%s %s' % (amount[:-2], sep, amount[-2:], side)
    else:
        result = '%s%s%s' % (amount[:-2], sep, amount[-2:])
    return result

def dateDisplay(date):
    return time.strftime('%Y/%m/%d', time.localtime(date))

def labelDisplay(label):
    if label is None:
        return ''
    result = label
    if len(result) > 60:
        result = result[:40] + '...'
    return result






