# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Geography Values"""

__version__ = '$Revision: 1.4 $'[11:-2]




countryCodes = [
    'ad',
    'ae',
    'af',
    'ag',
    'al',
    'am',
    'ao',
    'ar',
    'at',
    'au',
    'az',
    'ba',
    'bb',
    'bd',
    'be',
    'bf',
    'bg',
    'bh',
    'bi',
    'bj',
    'bm', 
    'bn',
    'bo',
    'br',
    'bs',
    'bt',
    'bw',
    'by',
    'bz',
    'ca',
    'cd',
    'cf',
    'cg',
    'ch',
    'ci',
    'cl',
    'cm',
    'cn',
    'co',
    'cr',
    'cu',
    'cv',
    'cy',
    'cz',
    'de',
    'dj',
    'dk',
    'dm',
    'do',
    'dz',
    'ec',
    'ee',
    'eg',
    'er',
    'es',
    'et',
    'fi',
    'fj',
    'fm',
    'fr',
    'ga',
    'gb',
    'gd',
    'ge',
    'gh',
    'gm',
    'gn',
    'gq',
    'gr',
    'gt',
    'gw',
    'gy',
    'hn',
    'hr',
    'ht',
    'hu',
    'id',
    'ie',
    'il',
    'in',
    'iq',
    'ir',
    'is',
    'it',
    'jm',
    'jo',
    'jp',
    'ke',
    'kg',
    'kh',
    'ki',
    'km',
    'kn',
    'kp',
    'kr',
    'kw',
    'kz',
    'la',
    'lb',
    'lc',
    'li',
    'lk',
    'lr',
    'ls',
    'lt',
    'lu',
    'lv',
    'ly',
    'ma',
    'mc',
    'md',
    'mg',
    'mh',
    'mk',
    'ml',
    'mm',
    'mn',
    'mr',
    'mt',
    'mu',
    'mv',
    'mw',
    'mx',
    'my',
    'mz',
    'na',
    'ne',
    'ng',
    'ni',
    'nl',
    'no',
    'np',
    'nr',
    'nz',
    'om',
    'pa',
    'pe',
    'pg',
    'ph',
    'pk',
    'pl',
    'pt',
    'pw',
    'py',
    'qa',
    'ro',
    'ru',
    'rw',
    'sa',
    'sb',
    'sc',
    'sd',
    'se',
    'sg',
    'si',
    'sk',
    'sl',
    'sm',
    'sn',
    'so',
    'sr',
    'st',
    'sv',
    'sy',
    'sz',
    'td',
    'tg',
    'th',
    'tj',
    'tm',
    'tn',
    'to',
    'tp', 
    'tr',
    'tt',
    'tv',
    'tw', 
    'tz',
    'ua',
    'ug',
    'uk',
    'us',
    'uy',
    'uz',
    'va',
    'vc',
    've',
    'vn',
    'vu',
    'ws',
    'ye',
    'yu',
    'za',
    'zm',
    'zw',
    ]

europeanCountries = [
    'at',
    'be',
    'de',
    'dk',
    'es',
    'fi',
    'fr',
    'gr',
    'ie',
    'it',
    'lu',
    'nl',
    'pt',
    'se',
    'uk',
    ]

frenchRegions = [
    'alsace',
    'aquitaine',
    'auvergne',
    'bourgogne',
    'bretagne',
    'centre',
    'champagneardenne',
    'corse',
    'domtom',
    'franchecomte',
    'iledefrance',
    'languedocroussillon',
    'limousin',
    'lorraine',
    'midipyrenees',
    'nordpasdecalais',
    'normandie',
    'paysdelaloire',
    'picardie',
    'poitoucharentes',
    'paca',
    'rhonealpes',
    ]
