# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Common Uploads"""

__version__ = '$Revision: 1.8 $'[11:-2]


import things


class Upload(things.BaseThing):
    data = None
    data_kind_useFileStorage = 1
    data_kind_isPublicForXmlRpc = 1
    data_kind_isRequired = 1
    data_kindName = 'Data'

    dataFileName = None
    dataFileName_kind_isPublicForXmlRpc = 1
    dataFileName_kind_isTranslatable = 0
    dataFileName_kindName = 'String'

    dataType = None
    dataType_kind_isPublicForXmlRpc = 1
    dataType_kind_isTranslatable = 0
    dataType_kindName = 'String'

    height = None
    height_kind_hasToModify = 0
    height_kind_isPublicForXmlRpc = 1
    height_kindName = 'Integer'

    size = None
    size_kind_hasToModify = 0
    size_kind_useCustomStorage = 1
    size_kind_isPublicForXmlRpc = 1
    size_kindName = 'Integer'

    width = None
    width_kind_hasToModify = 0
    width_kind_isPublicForXmlRpc = 1
    width_kindName = 'Integer'

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = things.BaseThing.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += [
            'dataType', 'dataFileName', 'data', 'size', 'width', 'height']
        return slotNames

    def isType(self, type):
        return self.dataType and self.dataType.startswith(type)

things.register(Upload)

