# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Common Views"""

__version__ = '$Revision: 1.11 $'[11:-2]


import things
import widgets


class View(widgets.Thing):
    fields = None
    fields_kind_isPublicForXmlRpc = 1
    fields_kind_itemKind_value_valueThingCategory = 'other'
    fields_kind_itemKind_value_valueThingName = 'ViewField'
    fields_kind_itemKind_valueName = 'Thing'
    fields_kindName = 'Sequence'

    name = None
    name_kind_isPublicForXmlRpc = 1
    name_kind_isRequired = 1
    name_kindName = 'PythonIdentifier'

    template = None
    template_kind_isPublicForXmlRpc = 1
    template_kindName = 'Upload'

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = widgets.Thing.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['name', 'fields', 'template']
        return slotNames
things.register(View)


class ViewField(things.BaseThing):
    slotName = None
    slotName_kind_isPublicForXmlRpc = 1
    slotName_kind_isRequired = 1
    slotName_kind_valuesGetterName = 'getSlotNameValues'
    slotName_kindName = 'SlotName'

    widget = None
    widget_kind_isPublicForXmlRpc = 1
    widget_kind_valueThingNameSlotName = 'widgetName'
    widget_kindName = 'Widget'

    widgetName = None
    widgetName_kind_isPublicForXmlRpc = 1
    widgetName_kind_isRequired = 1
    widgetName_kind_valuesGetterName = 'getWidgetNameValues'
    widgetName_kindName = 'WidgetName'

    def getOrderedLayoutSlotNames(self, parentSlot = None):
        slotNames = things.BaseThing.getOrderedLayoutSlotNames(
            self, parentSlot = parentSlot)
        slotNames += ['slotName', 'widgetName', 'widget']
        return slotNames

    def getSlotNameValues(self, slotNameSlot, fields):
        ### TODO: (improve) getSlotNameValues works for objects but not for admin.
        object = slotNameSlot.getObject()
        objectSlot = slotNameSlot.getObjectSlot()
##         admin = slotNameSlot.getObject()
##         object = admin.newDefaultObject()
##         objectSlot = None
        return object.getSlotNames(parentSlot = objectSlot)

    def getWidgetNameValues(self, widgetNameSlot, fields):
        ### TODO: (improve) getWidgetNameValues works for objects but not for admin.
        object = widgetNameSlot.getObject()
##         admin = widgetNameSlot.getObject()
##         object = admin.newDefaultObject()
        fieldSlot = widgetNameSlot.parent
        slotName = fieldSlot.getValue().getSlot(
            'slotName', parentSlot = fieldSlot).getField(fields)
        if slotName is None:
            return []
        slot = object.getSlot(slotName)
        return slot.getKind().getPossibleWidgetNames()
things.register(ViewField)
