# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Cache Proxy"""

__version__ = '$Revision: 1.12 $'[11:-2]


import sys
import xmlrpclib

import glasnost.common.context as context
import glasnost.common.faults as faults
import glasnost.common.tools_new as commonTools

from DispatcherProxy import MultiCall, callServer, getApplicationToken

from tools import *

cacheIsThere = 1
mainModule = sys.modules['__main__']


def getServerId(serverId = None):
    if serverId is not None:
        return commonTools.makeApplicationId(serverId, 'cache')
    return commonTools.makeApplicationId(
        context.getVar('dispatcherId'), 'cache')


def invalidateKeyStart(cacheKey):
    ### FIXME: enable invalidateKeyStart
    return
    serverId = None
    serverId = getServerId(serverId = serverId)
    return callServer(
        serverId,
        'invalidateKeyStart',
        [getApplicationToken(), cacheKey])


def invalidateValue(objectId):
    global cacheIsThere
    if not cacheIsThere: return
    if context.getVar('dispatcherId') is not None:
        serverId = None
    else:
        serverId = objectId
    serverId = getServerId(serverId = serverId)
    try:
        return callServer(
            serverId,
            'invalidateValue',
            [getApplicationToken(), objectId])
    except faults.UnknownServerId:
        # It means that the cache server isn't available.
        cacheIsThere = 0


def isValueStillValid(objectId, timeCached, serverId = None, multiCall = None):
    serverId = getServerId(serverId = serverId)
    return callServer(
        serverId,
        'isValueStillValid',
        [getApplicationToken(), objectId, timeCached],
        resultHandler = lambda x: x(),
        multiCall = multiCall)
