# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.org>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@easter-eggs.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Operations Proxy"""

__version__ = '$Revision: 1.15 $'[11:-2]


from glasnost.common.OperationsCommon import *

from ObjectsProxy import register, AdminMixin, ObjectProxyMixin, ObjectsProxy
from tools import *


class AdminOperations(AdminMixin, AdminOperationsCommon):
    def getProxy(self):
        return operationsProxy
register(AdminOperations)


class Operation(ObjectProxyMixin, OperationCommon):
    def getProxy(self):
        return operationsProxy
register(Operation)


class OperationsProxy(OperationsCommon, ObjectsProxy):
    def searchObjectIds(
        self, ledgerIds, serverId = None):
        serverId = self.getServerId(serverId = serverId)
        if not ledgerIds: return []
        if type(ledgerIds) == type(''):
            ledgerIds = [ledgerIds]
        objectIds = ObjectsProxy.searchObjectIds(
            self,
            serverId = serverId,
            ledgerId_IN = ledgerIds)
        objectIds = ObjectsProxy.sortObjectIds(
            self, objectIds, serverId = serverId,
            sortRule = "modificationTime")
        objectIds = objectIds[:15]
        return objectIds

