# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Appointments Web"""

__version__ = '$Revision: 1.14 $'[11:-2]

from glasnost.proxy.AppointmentsProxy import *
from ObjectsWeb import register, AdminMixin, ObjectWebMixin, ObjectsWebMixin

from tools import *
import WebAPI

class AdminAppointments(AdminMixin, AdminAppointments):
    def getWeb(self):
        return getWebForServerRole('appointments')
register(AdminAppointments)


class Appointment(ObjectWebMixin, Appointment):
    beginningDate_kind_widget_fieldLabel = N_('Starting')

    body_kind_widget_fieldLabel = N_('Text')
    body_kind_widget_cols = 40
    body_kind_widget_colSpan = 2
    body_kind_widget_rows = 10
    body_kind_widgetName = 'TextArea'

    editionTime_kind_defaultValue = 'now'
    editionTime_kind_isReadOnly = 1
    editionTime_kind_widget_fieldLabel = N_('Edition Time')
    editionTime_kind_widget_maxLength = 19
    editionTime_kind_widget_size = 19
    editionTime_kind_widgetName = 'InputText'

    endingDate_kind_widget_fieldLabel = N_('Ending')

    lastEditorId_kind_isReadOnly = 1
    lastEditorId_kind_widget_fieldLabel = N_('Last Editor')
    lastEditorId_kind_widgetName = 'SelectId'

    repetition_kind_defaultValue = 'none'

    repetitionDay_kind_label = 'Repetition Day'

    resourcesSet_kind_itemKind_value_defaultValue = 'user'
    resourcesSet_kind_balloonHelp = N_(
         'Select the people and groups who are assigned to this Appointment.')
    resourcesSet_kind_label = N_('Resources')

    title_kind_widget_fieldLabel = N_('Title')
    title_kind_widget_size = 40
    title_kind_widgetName = 'InputText'

    def getWeb(self):
        return getWebForServerRole('appointments')
register(Appointment)


class AppointmentsWeb(ObjectsWebMixin, AppointmentsProxy):
    def viewAll(self, **keywords):
        if not keywords.has_key('calendarView'):
            keywords['calendarView'] = 'month'
        fileName = 'calendar.%(calendarView)s.tal' % keywords
        keywords['objects'] = [WebAPI.GlasnostObject(id)
                               for id in self.getObjectIds()]
        return processTALFile(
            fileName = fileName,
            **keywords)
    viewAll.isPublicForWeb = 1

