# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Comments Web"""

__version__ = '$Revision: 1.9 $'[11:-2]


from glasnost.proxy.CommentsProxy import *

from ObjectsWeb import register, AdminMixin, ObjectWebMixin, ObjectsWebMixin
from tools import *


class AdminComments(AdminMixin, AdminComments):
    allowAnonymousComments_kind_widget_fieldLabel = N_(
        'Allow Anonymous Comments')
    allowAnonymousComments_kind_widgetName = 'InputCheckBox'

    def getWeb(self):
        return getWebForServerRole('comments')
register(AdminComments)


class Comment(ObjectWebMixin, Comment):
    body_kind_widget_fieldLabel = N_('Text')
    body_kind_widget_cols = 75
    body_kind_widget_colSpan = 2
    body_kind_widget_preview = 1
    body_kind_widget_rows = 20
    body_kind_widgetName = 'TextArea'

    title_kind_widget_fieldLabel = N_('Title')
    #title_kind_widget_maxLength = 40
    title_kind_widget_size = 40
    title_kind_widgetName = 'InputText'

    sourceId_kind_widget_fieldLabel = N_('Commented Item')
    sourceId_kind_widgetName = 'SelectId'
    
    authorId_kind_widget_fieldLabel = N_('Author')
    authorId_kind_widgetName = 'SelectId'

    def getEditLayoutHiddenSlotNames(self, fields, parentSlot = None): 
        hiddenSlotNames = ObjectWebMixin.getEditLayoutHiddenSlotNames(
                    self, fields, parentSlot = parentSlot)
        hiddenSlotNames = hiddenSlotNames[:]
        #hiddenSlotNames += ['authorId']
        return hiddenSlotNames

    def getEditLayoutReadOnlySlotNames(self, fields, parentSlot = None):
        readOnlySlotNames = ObjectWebMixin.getEditLayoutReadOnlySlotNames(
            self, fields, parentSlot = parentSlot)
        readOnlySlotNames = readOnlySlotNames[:]
        readOnlySlotName += [ 'sourceId', 'authorId' ]
        return readOnlySlotName

    def getWeb(self):
        return getWebForServerRole('comments')
register(Comment)


class CommentsWeb(ObjectsWebMixin, CommentsProxy):
    pass

