# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002, 2003 Odile Bnassy, Code Lutin, Thierry Dulieu,
#     Easter-eggs, Entr'ouvert, Frdric Pters, Benjamin Poussin,
#     Emmanuel Raviart, Emmanuel Saracco & Thridion
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Contact Infos Web"""

__version__ = '$Revision: 1.9 $'[11:-2]


import glasnost.common.faults as faults
import glasnost.common.slots as slots
import glasnost.common.context as context

from glasnost.proxy.ContactInfosProxy import *
from glasnost.proxy.TranslationsProxy import *

from ObjectsWeb import register, AdminMixin, ObjectWebMixin, ObjectsWebMixin
from tools import *
import geography


class AdminContactInfos(AdminMixin, AdminContactInfos):
    def getWeb(self):
        return getWebForServerRole('contactinfos')
register(AdminContactInfos)


class ContactInfo(ObjectWebMixin, ContactInfo):
    address_kind_widget_fieldLabel = N_('Postal Address')
    address_kind_widget_cols = 40
    address_kind_widget_rows = 3
    address_kind_widgetName = 'TextArea'

    city_kind_widget_fieldLabel = N_('City')
    #city_kind_widget_maxLength = 100
    city_kind_widget_size = 40
    city_kind_widgetName = 'InputText'

    comment_kind_widget_fieldLabel = N_('Comment')
    comment_kind_widget_cols = 75
    comment_kind_widget_colSpan = 2
    comment_kind_widget_rows = 8
    comment_kind_widgetName = 'TextArea'

    country_kind_defaultValue = 'fr'
    country_kind_widget_fieldLabel = N_('Country')
    country_kind_widget_labels = geography.countryLabels
    country_kind_widgetName = 'Select'

    courtesy_kind_widget_fieldLabel = N_('Courtesy')
    courtesy_kind_widgetName = 'XSelect'

    email_kind_widget_fieldLabel = N_('Email')
    #email_kind_widget_maxlength = 100
    email_kind_widget_size = 40
    email_kind_widgetName = 'InputText'

    first_kind_widget_fieldLabel = N_('First Name')
    #first_kind_widget_maxLength = 100
    first_kind_widget_size = 40
    first_kind_widgetName = 'InputText'

    last_kind_widget_fieldLabel = N_('Last Name')
    #last_kind_widget_maxLength = 100
    last_kind_widget_size = 40
    last_kind_widgetName = 'InputText'

    middle_kind_widget_fieldLabel = N_('Middle Name')
    #middle_kind_widget_maxLength = 100
    middle_kind_widget_size = 40
    middle_kind_widgetName = 'InputText'

    organizationIds_kind_itemKind_value_widgetName = 'SelectId'
    organizationIds_kind_widget_fieldLabel = N_('Organizations')
    organizationIds_kind_widgetName = 'Multi'

    phone_kind_defaultValue = '+33(0)'
    phone_kind_widget_fieldLabel = N_('Phone')
    phone_kind_widget_size = 20
    phone_kind_widgetName = 'InputText'

    zip_kind_widget_fieldLabel = N_('Zip Code')
    #zip_kind_widget_maxLength = 100
    zip_kind_widget_size = 8
    zip_kind_widgetName = 'InputText'

    def getViewLayoutSlotNames(self, fields, parentSlot = None):
        slotNames = ObjectWebMixin.getViewLayoutSlotNames(
            self, fields, parentSlot = parentSlot)
        slotNames = slotNames[:]
        userToken = context.getVar('userToken', default = '')
        if not userToken or (
            fields.has_key('useCompactLayout') and fields['useCompactLayout']):
            for slotName in (
                'creationTime', 'modificationTime', 'readersSet',
                'writersSet'):
                if slotName in slotNames:
                    slotNames.remove(slotName)
        return slotNames

    def getWeb(self):
        return getWebForServerRole('contactinfos')
register(ContactInfo)


class ContactInfosWeb(ObjectsWebMixin, ContactInfosProxy):
    pass

