# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002, 2003 Odile Bnassy, Code Lutin, Thierry Dulieu,
#     Easter-eggs, Entr'ouvert, Frdric Pters, Benjamin Poussin,
#     Emmanuel Raviart, Emmanuel Saracco & Thridion
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Contacts Web"""

__version__ = '$Revision: 1.6 $'[11:-2]

from glasnost.common.tools import iso8859_15, utf8
from glasnost.proxy.ContactsProxy import *
from ObjectsWeb import register, AdminMixin, ObjectWebMixin, ObjectsWebMixin

from tools import *

class AdminContacts(AdminMixin, AdminContacts):
    def getWeb(self):
        return getWebForServerRole('contacts')
register(AdminContacts)


class Contact(ObjectWebMixin, Contact):
    webSite_kind_widgetName='Url'
    
    def getWeb(self):
        return getWebForServerRole('contacts')
register(Contact)


class ContactsWeb(ObjectsWebMixin, ContactsProxy):
    def viewAll(self, searchBy='name', searchString='', sortedOrder='None'):
        if not self.canGetObjects():
            return accessForbidden()
        layout = X.array()

        form = X.form(action = '', enctype= 'multipart/form-data',
                      method = 'post')

        
        select = X.select(name = 'searchBy')
        # FIXME: those strings shouldn't be translated.  Actually it should be
        # pairs of string like: ('name', N_('Name'))
        for value in [N_('name'), N_('completName'), N_('company'),
                      N_('email'), N_('phone'), N_('type'), N_('country'),
                      N_('departmentNumber'), N_('comment')]:
            optionAttributes = {}
            if searchBy == value:
                optionAttributes['selected'] = 'selected'
            select += X.option( value = value,
                                **optionAttributes)(_(value))
        form += X.span(_class = 'label')(_('search by'))
        form += select

        form += X.input( name = 'searchString', type = 'text',
                         value = searchString)

        select = X.select(name = 'sortedOrder')
        for value in [N_('None'), N_('name'), N_('completName'),
                      N_('email'), N_('phone'), N_('company'),
                      N_('departmentNumber')]:
            optionAttributes = {}
            if sortedOrder == value:
                optionAttributes['selected'] = 'selected'
            select += X.option( value = value,
                                **optionAttributes)(_(value))
        form += X.span(_class = 'label')(_('sorted by'))
        form += select

        form += X.buttonInForm('apply', 'applyButton')
        layout += form
       

        contacts = self.getObjects()
        if searchString:
            filter = '%s=*%s*' % (searchBy,utf8(searchString))
        else:
            filter = ''
        contactIds = self.findObjectIds(filter, sortedOrder)
            
        layout += self.getObjectsLayout(contacts,
                                        contactIds,
                                        ['email', 'phone',
                                         'company', 'departmentNumber'])
        layout += self.getViewAllButtonsBarLayout()
        return writePageLayout(layout, _(self.objectsNameCapitalized))
    viewAll.isPublicForWeb = 1

