# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost FIInitiatives Web"""

__version__ = '$Revision: 1.11 $'[11:-2]


import glasnost.common.faults as faults
import glasnost.common.slots as slots
import glasnost.common.context as context

from glasnost.proxy.FIInitiativesProxy import *
from glasnost.proxy.TranslationsProxy import *

from ObjectsWeb import register, AdminMixin, ObjectWebMixin, ObjectsWebMixin
from tools import *


class AdminFIInitiatives(AdminMixin, AdminFIInitiatives):
##     keywordValues_kind_fieldsCountMin = 8
    keywordValues_kind_widget_fieldLabel = N_('Keywords')
    keywordValues_kind_widgetName = 'Multi'

    def getWeb(self):
        return getWebForServerRole('fiinitiaives')
register(AdminFIInitiatives)


class FIInitiative(ObjectWebMixin, FIInitiative):
    description_kind_widget_fieldLabel = 'Initiative proposee'
    description_kind_widget_cols = 75
    description_kind_widget_colSpan = 2
    description_kind_widget_rows = 4
    description_kind_widgetName = 'TextArea'

    endDate_kind_widget_fieldLabel = N_('End Date')
    endDate_kind_widgetName = 'Time'

    evaluation_kind_widget_fieldLabel = 'Bilan de l\'initiative (resultats, difficultes, limites)'
    evaluation_kind_widget_cols = 75
    evaluation_kind_widget_colSpan = 2
    evaluation_kind_widget_rows = 4
    evaluation_kind_widgetName = 'TextArea'

    goals_kind_widget_fieldLabel = 'Enjeux et objectifs poursuivis'
    goals_kind_widget_cols = 75
    goals_kind_widget_colSpan = 2
    goals_kind_widget_rows = 4
    goals_kind_widgetName = 'TextArea'

    keywords_kind_fieldsCountMin = 2
    keywords_kind_itemKind_value_widgetName = 'Select'
    keywords_kind_widget_fieldLabel = N_('Keywords')
    keywords_kind_widgetName = 'Multi'

    lastEditorId_kind_isReadOnly = 1
    lastEditorId_kind_widget_fieldLabel = N_('Last Editor')
    lastEditorId_kind_widgetName = 'SelectId'

    owner_kind_widget_fieldLabel = 'Porteur de l\'initiative (collectivite, service, personne...)'
    owner_kind_widget_cols = 75
    owner_kind_widget_colSpan = 2
    owner_kind_widget_rows = 4
    owner_kind_widgetName = 'TextArea'

    partners_kind_widget_fieldLabel = 'Partenaires'
    partners_kind_widget_cols = 75
    partners_kind_widget_colSpan = 2
    partners_kind_widget_rows = 4
    partners_kind_widgetName = 'TextArea'

    startDate_kind_widget_fieldLabel = N_('Start Date')
    startDate_kind_widgetName = 'Time'

    themes_kind_widget_fieldLabel = 'Themes'
    themes_kind_widget_cols = 75
    themes_kind_widget_colSpan = 2
    themes_kind_widget_rows = 4
    themes_kind_widgetName = 'TextArea'

    title_kind_widget_fieldLabel = N_('Title')
    #title_kind_widget_maxLength = 40
    title_kind_widget_size = 40
    title_kind_widgetName = 'InputText'

    def getEditLayoutSlotNames(self, fields, parentSlot = None):
        slotNames = ObjectWebMixin.getEditLayoutSlotNames(
            self, fields, parentSlot = parentSlot)
        slotNames = slotNames[:]
        for slotName in ('creationTime', 'modificationTime', 'readersSet'):
            if slotName in slotNames:
                slotNames.remove(slotName)
        userToken = context.getVar('userToken', default = '')
        if not userToken or (
            fields.has_key('useCompactLayout') and fields['useCompactLayout']):
            for slotName in ('writersSet'):
                if slotName in slotNames:
                    slotNames.remove(slotName)
        return slotNames

    def getViewLayoutSlotNames(self, fields, parentSlot = None):
        slotNames = ObjectWebMixin.getViewLayoutSlotNames(
            self, fields, parentSlot = parentSlot)
        slotNames = slotNames[:]
        userToken = context.getVar('userToken', default = '')
        if not userToken or (
            fields.has_key('useCompactLayout') and fields['useCompactLayout']):
            for slotName in (
                'lastEditorId', 'creationTime', 'modificationTime',
                'readersSet', 'writersSet'):
                if slotName in slotNames:
                    slotNames.remove(slotName)
        return slotNames

    def getWeb(self):
        return getWebForServerRole('fiinitiaives')
register(FIInitiative)


class FIInitiativesWeb(ObjectsWebMixin, FIInitiativesProxy):
    pass

