# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost PELBilans Web"""

__version__ = '$Revision: 1.8 $'[11:-2]


import glasnost.common.faults as faults
import glasnost.common.slots as slots
import glasnost.common.context as context

from glasnost.proxy.PELBilansProxy import *
from glasnost.proxy.TranslationsProxy import *

from ObjectsWeb import register, AdminMixin, ObjectWebMixin, ObjectsWebMixin
from tools import *


class AdminPELBilans(AdminMixin, AdminPELBilans):
    def getWeb(self):
        return getWebForServerRole('pelbilans')
register(AdminPELBilans)


class PELBilan(ObjectWebMixin, PELBilan):
    actionName_kind_widget_fieldLabel = 'Nom de l\'action'
    actionName_kind_widget_size = 40
    actionName_kind_widgetName = 'InputText'

    activityPole_kind_widget_fieldLabel = 'Pole d\'activite'
    activityPole_kind_widget_labels = {
        'school' : 'Scolaire ou lie a l\'ecole',
        'sport' : 'Sportif',
        'culture' : 'Culturel',
        'multi' : 'Pluri-activites',
        }
    activityPole_kind_widgetName = 'Select'

    duration_kind_widget_fieldLabel = 'Duree d\'une seance'
    duration_kind_widgetName = 'Duration'

    frequentersByAge_kind_widget_fieldLabel = 'Frequentation moyenne par age'
    frequentersByAge_kind_keyKind_value_isReadOnly = 1
    frequentersByAge_kind_keyKind_value_widgetName = 'Select'
    frequentersByAge_kind_valueKind_value_defaultValue = 0
    frequentersByAge_kind_valueKind_value_widget_size = 4
    frequentersByAge_kind_valueKind_value_widgetName = 'InputText'
    frequentersByAge_kind_widgetName = 'Mapping'

    frequentersByArea_kind_widget_fieldLabel = 'Origine geographique (frequentation moyenne)'
    frequentersByArea_kind_keyKind_value_isReadOnly = 1
    frequentersByArea_kind_keyKind_value_labels = {
        'insidearea' : N_('Inside Area'),
        'outsidearea' : N_('Outside Area'),
        }
    frequentersByArea_kind_keyKind_value_widgetName = 'Select'
    frequentersByArea_kind_valueKind_value_defaultValue = 0
    frequentersByArea_kind_valueKind_value_widget_size = 4 
    frequentersByArea_kind_valueKind_value_widgetName = 'InputText'
    frequentersByArea_kind_widgetName = 'Mapping'

    frequentersByQF_kind_widget_fieldLabel = 'Public en fonction des Quotients Familiaux (rpartition moyenne)'
    frequentersByQF_kind_keyKind_value_isReadOnly = 1
    frequentersByQF_kind_keyKind_value_labels = {
        '0': '0:',
        '1': '1:',
        '2': '2:',
        '3': '3:',
        '4': '4:',
        '5': '5:',
        '6': '6:',
        '7': '7:',
        '8': '8:',
        '9': '9:',
        }
    frequentersByQF_kind_keyKind_value_widgetName = 'Select'
    frequentersByQF_kind_valueKind_value_defaultValue = 0
    frequentersByQF_kind_valueKind_value_widget_size = 4
    frequentersByQF_kind_valueKind_value_widgetName = 'InputText'
    frequentersByQF_kind_widgetName = 'Mapping'

    frequentersBySex_kind_widget_fieldLabel = 'Repartition par sexe (frequentation moyenne)'
    frequentersBySex_kind_keyKind_value_isReadOnly = 1
    frequentersBySex_kind_keyKind_value_labels = {
        'm' : N_('Boys'),
        'f' : N_('Girls'),
        }
    frequentersBySex_kind_keyKind_value_widgetName = 'Select'
    frequentersBySex_kind_valueKind_value_defaultValue = 0
    frequentersBySex_kind_valueKind_value_widget_size = 4
    frequentersBySex_kind_valueKind_value_widgetName = 'InputText'
    frequentersBySex_kind_widgetName = 'Mapping'

    goals_kind_fieldsCountMin = 2
    goals_kind_widget_fieldLabel = N_('Goals')
    goals_kind_itemKind_value_widget_labels = {
        'freetime' : 'Occupation educative du temps libre',
        'autonomy' : 'Apprentissage de l\'autonomie',
        'remedial' : 'Rattrapage scolaire',
        'socialisation' : 'Socialisation',
        'appropriation' : 'Appropriation des savoirs',
        'physical' : 'Developpements des capacites physiques',
        'effort' : 'Apprentissage du sens de l\'effort',
        'localenv' : 'Ouverture sur l\'environnement proche',
        'remoteenv' : 'Ouverture sur l\'environnement eloigne',
        'citizenship' : 'Comportement citoyen',
        'violence' : 'Diminution de la violence',
        'parents' : 'Aide aux parents',
        'generationmix' : 'Melange des generations',
        'expression' : 'Developper les capacites d\'expression',
        'selfrespect' : 'Restaurer l\'estime de soi',
        'locallife' : 'Developper la vie sociale du quartier',
        'localbonds' : 'Nouer des liens avec le quartier',
        'none' : 'Aucun',
        }
    goals_kind_itemKind_value_widgetName = 'XSelect'
    goals_kind_widgetName = 'Multi'

    missingPartners_kind_widget_fieldLabel = 'Eventuellement, partenaire(s) manquant(s)'
    missingPartners_kind_widget_cols = 75
    missingPartners_kind_widget_colSpan = 2
    missingPartners_kind_widget_rows = 8
    missingPartners_kind_widgetName = 'TextArea'
    
    official_kind_defaultValue = None
    official_kind_widget_fieldLabel = 'Nature'
    official_kind_widget_labels = {
        'kindergarten' : N_('Kindergarten'),
        'primary' : N_('Primary School'),
        'secondary' : N_('Secondary School'),
        'association' : N_('Association'),
        'socialservice' : N_('Social Service'),
        'youthclub' : N_('Youth Club'),
        'artscenter' : N_('Arts Center'),
        }
    official_kind_widgetName = 'XSelect'

    owner_kind_widget_fieldLabel = N_('Action Owner')
    owner_kind_widget_size = 40
    owner_kind_widgetName = 'InputText'

    partners_kind_fieldsCountMin = 2
    partners_kind_itemKind_value_widget_labels = {
        'primary' : 'Ecoles',
        'secondary' : 'Colleges',
        'outsidearea' : 'Ecoles/colleges hors quartier',
        'socialworkers' : 'Professionnels du quartier',
        'volunteers' : 'Benevoles',
        'townstructures' : 'Equipements municipaux',
        'associations' : 'Associations',
        'townshipservices' : 'Services municipaux',
        'localstructures' : 'Equipements de quartier',
        }
    partners_kind_itemKind_value_widgetName = 'XSelect'
    partners_kind_widget_fieldLabel = N_('Partners')
    partners_kind_widgetName = 'Multi'

    periodicity_kind_widget_fieldLabel = N_('Periodicity')
    periodicity_kind_widget_labels = {
        'lunch' : N_('Lunch Time'),
        'wednesday' : N_('Wednesday'),
        'saturday' : N_('Saturday'),
        'schooldays' : N_('School Days'),
        'holiday' : N_('Holidays'),
        'vacation' : N_('Summer Vacation'),
        }
    periodicity_kind_widgetName = 'Select'

    quantity_kind_defaultValue = 0
    quantity_kind_widget_fieldLabel = 'Nombre de seances'
    quantity_kind_widget_size = 4
    quantity_kind_widgetName = 'InputText'

    def getEditLayoutSlotNames(self, fields, parentSlot = None):
        slotNames = ObjectWebMixin.getEditLayoutSlotNames(
            self, fields, parentSlot = parentSlot)
        slotNames = slotNames[:]
        for slotName in ('creationTime', 'modificationTime', 'readersSet'):
            if slotName in slotNames:
                slotNames.remove(slotName)
        userToken = context.getVar('userToken', default = '')
        if not userToken or (
            fields.has_key('useCompactLayout') and fields['useCompactLayout']):
            for slotName in ('writersSet'):
                if slotName in slotNames:
                    slotNames.remove(slotName)
        return slotNames

    def getViewLayoutSlotNames(self, fields, parentSlot = None):
        slotNames = ObjectWebMixin.getViewLayoutSlotNames(
            self, fields, parentSlot = parentSlot)
        slotNames = slotNames[:]
        userToken = context.getVar('userToken', default = '')
        if not userToken or (
            fields.has_key('useCompactLayout') and fields['useCompactLayout']):
            for slotName in (
                'creationTime', 'modificationTime', 'readersSet',
                'writersSet'):
                if slotName in slotNames:
                    slotNames.remove(slotName)
        return slotNames

    def getWeb(self):
        return getWebForServerRole('pelbilans')
register(PELBilan)


class PELBilansWeb(ObjectsWebMixin, PELBilansProxy):
    pass

