# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Accounting Initialization Values"""

__version__ = '$Revision: 1.10 $'[11:-2]


from glasnost.common.accounting import *


balancedLabels = {
        '0': N_('No'),
        '1': N_('Yes'),
        }

certaintyLabels = {
    '1': N_('Possible'),
    '2': N_('Likely'),
    '3': N_('Running'),
    '4': N_('Definite'),
    '5': N_('Validated'),
    }

currencyLabels = {
    'all': N_('Albanian Lek'),
    'dzd': N_('Algerian Dinar'),
    'ars': N_('Argentine Peso'),
    'aud': N_('Australian Dollar'),
    'bhd': N_('Bahraini Dinar'),
    'bwp': N_('Botswana Pula'),
    'bob': N_('Bolivian Bolivanio'),
    'brl': N_('Brazilian Real'),
    'gbp': N_('British Pound'),
    'bgl': N_('Bulgarian Leva'),
    'cad': N_('Canadian Dollar'),
    'clp': N_('Chilean Peso'),
    'cny': N_('Chinese Yuan'),
    'xaf': N_('CFA Franc BEAC'),
    'xof': N_('CFA Franc BCEAO'),
    'xpf': N_('CFP Franc'),
    'cop': N_('Colombian Peso'),
    'hrk': N_('Croatian Kuna'),
    'cup': N_('Cuban Peso'),
    'cyp': N_('Cyprus Pound'), 
    'czk': N_('Czech Koruna'),
    'dkk': N_('Danish Krone'),
    'ecs': N_('Ecuador Sucre'),
    'egp': N_('Egyptian Pound'),
    'eek': N_('Estonian Kroon'),
    'etb': N_('Ethiopian Birr'),
    'eur': N_('Euro'),
    'gel': N_('Georgian Lari'),
    'hkd': N_('Hong Kong Dollar'),
    'huf': N_('Hungarian Forint'),
    'isk': N_('Iceland Krona'),
    'inr': N_('Indian Rupee'),
    'iqd': N_('Iraqui Dinar'),
    'ils': N_('Israeli New Shekel'),
    'jpy': N_('Japanese Yen'),
    'jod': N_('Jordanian Dinar'),
    'kes': N_('Kenyan Shilling'),
    'kwd': N_('Kuwaiti Dinar'),
    'lvl': N_('Latvian Lat'),
    'lbp': N_('Lebanese Pound'),
    'ltl': N_('Lithuanian Litas'),
    'lyd': N_('Lybian Dinar'),
    'myr': N_('Malaysian Ringgit'),
    'mtl': N_('Malta Lira'),
    'mur': N_('Mauritian Rupee'),
    'mxn': N_('Mexican Peso'),
    'mad': N_('Moroccan Dirham'),
    'npr': N_('Nepalese Rupee'),
    'nzd': N_('New Zealand Dollar'),
    'kpw': N_('North Korean Won'),
    'nok': N_('Norwegian Kroner'),
    'omr': N_('Omani Rial'),
    'pkr': N_('Pakistan Rupee'),
    'pyg': N_('Paraguayan Guarani'),
    'pen': N_('Peruvian Nuevo Sol'),
    'php': N_('Philippines Peso'),
    'pln': N_('Polish Zloty'),
    'rol': N_('Romania Lei'),
    'rur': N_('Russia Ruble'),
    'qar': N_('Qatari Rial'),
    'sar': N_('Saudi Riyal'),
    'sgd': N_('Singapore Dollar'),
    'sit': N_('Slovenian Tolar'),
    'skk': N_('Slovakia Koruny'),
    'syp': N_('Syrian Lira'),
    'zar': N_('South African Rand'),
    'krw': N_('South Korean Won'),
    'lkr': N_('Sri Lanka Rupee'),
    'sek': N_('Swedish Krona'),
    'chf': N_('Swiss Franc'),
    'twd': N_('Taiwan Dollar'),
    'tnd': N_('Tunisian Dinar'),
    'trl': N_('Turkish Lira'),
    'thb': N_('Thai Baht'),
    'usd': N_('U.S. Dollar'),
    'aed': N_('Utd. Arab Emir. Dirham'),
    'veb': N_('Venezuelan Bolivar'),
    'uah': N_('Ukraine Hryvnia'),
    'uyu': N_('Uruguayan Peso'),
    'vnd': N_('Vietnamese Dong'),
    'yer': N_('Yemeni Rial'),
    'yum': N_('Yugoslavia New Dinar'),
    }

sideLabels = {
    'credit':N_('Credit'),
    'debit':N_('Debit'),
    }

typeLabels = {
    'other': N_('Other'),
    'purchase': N_('Purchase'),
    'report': N_('Report'),
    'salary': N_('Salary'),
    'sale': N_('Sale'),
    'vat': N_('V.A.T.'),
    }
