# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Geography Labels"""

__version__ = '$Revision: 1.4 $'[11:-2]



countryLabels = {
    'ad' : N_('Andorra'),
    'ae' : N_('United Arab Emirates'),
    'af' : N_('Afghanistan'),
    'ag' : N_('Antigua and Barbuda'),
    'al' : N_('Albania'),
    'am' : N_('Armenia'),
    'ao' : N_('Angola'),
    'ar' : N_('Argentina'),
    'at' : N_('Austria'),
    'au' : N_('Australia'),
    'az' : N_('Azerbaijan'),
    'ba' : N_('Bosnia and Herzegowina'),
    'bb' : N_('Barbados'),
    'bd' : N_('Bangladesh'),
    'be' : N_('Belgium'),
    'bf' : N_('Burkina Faso'),
    'bg' : N_('Bulgaria'),
    'bh' : N_('Bahrain'),
    'bi' : N_('Burundi'),
    'bj' : N_('Benin'),
    'bm' : N_('Bermuda'),
    'bn' : N_('Brunei Darussalam'),
    'bo' : N_('Bolivia'),
    'br' : N_('Brazil'),
    'bs' : N_('Bahamas'),
    'bt' : N_('Bhutan'),
    'bw' : N_('Botswana'),
    'by' : N_('Belarus'),
    'bz' : N_('Belize'),
    'ca' : N_('Canada'),
    'cd' : N_('Congo, the Democratic Republic of the'),
    'cf' : N_('Central African Republic'),
    'cg' : N_('Congo'),
    'ch' : N_('Switzerland'),
    'ci' : N_('Cote D\'ivoire'),
    'cl' : N_('Chile'),
    'cm' : N_('Cameroon'),
    'cn' : N_('China'),
    'co' : N_('Colombia'),
    'cr' : N_('Costa Rica'),
    'cu' : N_('Cuba'),
    'cv' : N_('Cape Verde'),
    'cy' : N_('Cyprus'),
    'cz' : N_('Czech Republic'),
    'de' : N_('Germany'),
    'dj' : N_('Djibouti'),
    'dk' : N_('Denmark'),
    'dm' : N_('Dominica'),
    'do' : N_('Dominican Republic'),
    'dz' : N_('Algeria'),
    'ec' : N_('Ecuador'),
    'ee' : N_('Estonia'),
    'eg' : N_('Egypt'),
    'er' : N_('Eritrea'),
    'es' : N_('Spain'),
    'et' : N_('Ethiopia'),
    'fi' : N_('Finland'),
    'fj' : N_('Fiji'),
    'fm' : N_('Micronesia, Federated States of'),
    'fr' : N_('France'),
    'ga' : N_('Gabon'),
    'gb' : N_('United Kingdom'),
    'gd' : N_('Grenada'),
    'ge' : N_('Georgia'),
    'gh' : N_('Ghana'),
    'gm' : N_('Gambia'),
    'gn' : N_('Guinea'),
    'gq' : N_('Equatorial Guinea'),
    'gr' : N_('Greece'),
    'gt' : N_('Guatemala'),
    'gw' : N_('Guinea-Bissau'),
    'gy' : N_('Guyana'),
    'hn' : N_('Honduras'),
    'hr' : N_('Croatia'),
    'ht' : N_('Haiti'),
    'hu' : N_('Hungary'),
    'id' : N_('Indonesia'),
    'ie' : N_('Ireland'),
    'il' : N_('Israel'),
    'in' : N_('India'),
    'iq' : N_('Iraq'),
    'ir' : N_('Iran, Islamic Republic of'),
    'is' : N_('Iceland'),
    'it' : N_('Italy'),
    'jm' : N_('Jamaica'),
    'jo' : N_('Jordan'),
    'jp' : N_('Japan'),
    'ke' : N_('Kenya'),
    'kg' : N_('Kyrgyzstan'),
    'kh' : N_('Cambodia'),
    'ki' : N_('Kiribati'),
    'km' : N_('Comoros'),
    'kn' : N_('Saint Kitts and Nevis'),
    'kp' : N_('Korea, Democratic People\'s Republic of'),
    'kr' : N_('Korea, Republic of'),
    'kw' : N_('Kuwait'),
    'kz' : N_('Kazakstan'),
    'la' : N_('Lao People\'s Democratic Republic'),
    'lb' : N_('Lebanon'),
    'lc' : N_('Saint Lucia'),
    'li' : N_('Liechtenstein'),
    'lk' : N_('Sri Lanka'),
    'lr' : N_('Liberia'),
    'ls' : N_('Lesotho'),
    'lt' : N_('Lithuania'),
    'lu' : N_('Luxembourg'),
    'lv' : N_('Latvia'),
    'ly' : N_('Libyan Arab Jamahiriya'),
    'ma' : N_('Morocco'),
    'mc' : N_('Monaco'),
    'md' : N_('Moldova, Republic of'),
    'mg' : N_('Madagascar'),
    'mh' : N_('Marshall Islands'),
    'mk' : N_('Macedonia, the Former Yugoslav Republic of'),
    'ml' : N_('Mali'),
    'mm' : N_('Myanmar'),
    'mn' : N_('Mongolia'),
    'mr' : N_('Mauritania'),
    'mt' : N_('Malta'),
    'mu' : N_('Mauritius'),
    'mv' : N_('Maldives'),
    'mw' : N_('Malawi'),
    'mx' : N_('Mexico'),
    'my' : N_('Malaysia'),
    'mz' : N_('Mozambique'),
    'na' : N_('Namibia'),
    'ne' : N_('Niger'),
    'ng' : N_('Nigeria'),
    'ni' : N_('Nicaragua'),
    'nl' : N_('Netherlands'),
    'no' : N_('Norway'),
    'np' : N_('Nepal'),
    'nr' : N_('Nauru'),
    'nz' : N_('New Zealand'),
    'om' : N_('Oman'),
    'pa' : N_('Panama'),
    'pe' : N_('Peru'),
    'pg' : N_('Papua New Guinea'),
    'ph' : N_('Philippines'),
    'pk' : N_('Pakistan'),
    'pl' : N_('Poland'),
    'pt' : N_('Portugal'),
    'pw' : N_('Palau'),
    'py' : N_('Paraguay'),
    'qa' : N_('Qatar'),
    'ro' : N_('Romania'),
    'ru' : N_('Russian Federation'),
    'rw' : N_('Rwanda'),
    'sa' : N_('Saudi Arabia'),
    'sb' : N_('Solomon Islands'),
    'sc' : N_('Seychelles'),
    'sd' : N_('Sudan'),
    'se' : N_('Sweden'),
    'sg' : N_('Singapore'),
    'si' : N_('Slovenia'),
    'sk' : N_('Slovakia'),
    'sl' : N_('Sierra Leone'),
    'sm' : N_('San Marino'),
    'sn' : N_('Senegal'),
    'so' : N_('Somalia'),
    'sr' : N_('Suriname'),
    'st' : N_('Sao Tome and Principe'),
    'sv' : N_('El Salvador'),
    'sy' : N_('Syrian Arab Republic'),
    'sz' : N_('Swaziland'),
    'td' : N_('Chad'),
    'tg' : N_('Togo'),
    'th' : N_('Thailand'),
    'tj' : N_('Tajikistan'),
    'tm' : N_('Turkmenistan'),
    'tn' : N_('Tunisia'),
    'to' : N_('Tonga'),
    'tp' : N_('East Timor'),
    'tr' : N_('Turkey'),
    'tt' : N_('Trinidad and Tobago'),
    'tv' : N_('Tuvalu'),
    'tw' : N_('Taiwan'),
    'tz' : N_('Tanzania, United Republic of'),
    'ua' : N_('Ukraine'),
    'ug' : N_('Uganda'),
    'uk' : N_('United Kingdom'),
    'us' : N_('United States'),
    'uy' : N_('Uruguay'),
    'uz' : N_('Uzbekistan'),
    'va' : N_('Holy See (Vatican City State)'),
    'vc' : N_('Saint Vincent and the Grenadines'),
    've' : N_('Venezuela'),
    'vn' : N_('Viet Nam'),
    'vu' : N_('Vanuatu'),
    'ws' : N_('Samoa'),
    'ye' : N_('Yemen'),
    'yu' : N_('Yugoslavia'),
    'za' : N_('South Africa'),
    'zm' : N_('Zambia'),
    'zw' : N_('Zimbabwe'),
    }

frenchRegionLabels = {
    'alsace' : 'Alsace',
    'aquitaine' : 'Aquitaine',
    'auvergne' : 'Auvergne',
    'bourgogne' : 'Bourgogne',
    'bretagne' : 'Bretagne',
    'centre' : 'Centre',
    'champagneardenne' : 'Champagne-Ardenne',
    'corse' : 'Corse',
    'domtom' : 'DOM-TOM',
    'franchecomte' : 'Franche-Comte',
    'iledefrance' : 'Ile de France',
    'languedocroussillon' : 'Languedoc-Roussillon',
    'limousin' : 'Limousin',
    'lorraine' : 'Lorraine',
    'midipyrenees' : 'Midi-Pyrenees',
    'nordpasdecalais' : 'Nord-Pas de Calais',
    'normandie' : 'Normandie',
    'paysdelaloire' : 'Pays de la Loire',
    'picardie' : 'Picardie',
    'poitoucharentes' : 'Poitou-Charentes',
    'paca' : 'Provence-Alpes-Cote d\'Azur',
    'rhonealpes' : 'Rhone-Alpes',
    }
