#!/usr/bin/env python
#
# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#                    entr'ouvert, Frdric Pters, Benjamin Poussin,
#                    Emmanuel Raviart, Emmanuel Saracco & Thridion
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Add People"""

__version__ = '0.0.1'

import __builtin__
__builtin__.__dict__['_'] = lambda x: x
__builtin__.__dict__['N_'] = lambda x: x

import sys
import ldap
import glasnost_devel.common.context as context

# The clear context must be executed before the proxy imports.
context.clear()
context.push(
    applicationId = 'glasnost://scripts/add-people',
    dispatcherId = 'glasnost://localhost',
    userToken = None, # Set later.
    )

from glasnost.proxy.AuthenticationProxy import authenticationProxy
from glasnost.proxy.PeopleProxy import Person, peopleProxy


ldap_host = "localhost"
ldap_port = 389
ldap_login = "cn=admin,o=codelutin,c=fr"
ldap_password = "xxxxxxxx"
ldap_suffix = "o=codelutin,c=fr"
ldap_searchString = "cn=*"

glasnost_login = "poussin"
glasnost_password = "QGcT8E3n"

options = ['ldap_host',
           'ldap_port',
           'ldap_login',
           'ldap_password',
           'ldap_suffix',
           'ldap_searchString',
           'glasnost_login',
           'glasnost_password',
           ]
i = 0
while i<len(sys.argv):
    optionName = sys.argv[i]
    i = i + 1
    if optionName in options:
        optionValue = sys.argv[i]
        i = i + 1
        locals()[optionName] = optionValue
        print optionName, optionValue

con = ldap.open(ldap_host, ldap_port)
con.simple_bind_s(ldap_login, ldap_password)
ldap_result = con.search_s(ldap_suffix, ldap.SCOPE_SUBTREE,
                                ldap_searchString, None)
con.unbind_s()

##peopleInfosToAdd = []
##for r in ldap_result:
##    if r[0] != ldap_login:
##        print r[1]
##        peopleInfosToAdd.append((
##            r[1]['cn'][0], #lastname
##            r[1]['sn'][0], #firstname
##            r[1]['cn'][0],#login
##            r[1]['userPassword'][0], #password
##            r[1]['mail'][0], #mail
##            ))
## si on souhaite un mot de passe genere automatique ne pas mettre la
##derniere ligne. Et plus supprimer person.password


##print peopleInfosToAdd

userId, userToken = authenticationProxy.getUserIdAndToken(
    glasnost_login,    # Enter your login here.
    glasnost_password) # Enter your password here.
context.setVar('userToken', userToken)

print userId, userToken

for personInfo in ldap_result:
    person = Person()
    if personInfo[1].has_key('cn'):
        person.lastName =  personInfo[1]['cn'][0]
    if personInfo[1].has_key('sn'):
        person.firstName =  personInfo[1]['sn'][0]
    if personInfo[1].has_key('cn'):
        person.login =  personInfo[1]['cn'][0]
    if personInfo[1].has_key('userPassword'):
        person.password =  personInfo[1]['userPassword'][0]
    
    try:
        person.id = peopleProxy.addObject(person)
        if personInfo[1].has_key('mail'):
            person.email = personInfo[1]['mail'][0]
        peopleProxy.modifyObject(person)
        print 'ajout de %s : ok' % person.login
    except:
        print 'ajout de %s : echec' % person.login
