#!/usr/bin/env python
#
# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#                    entr'ouvert, Frdric Pters, Benjamin Poussin,
#                    Emmanuel Raviart, Emmanuel Saracco & Thridion
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Appointment notifier"""

__version__ = '$Revision: 1.5 $'[11:-2]

import __builtin__
__builtin__.__dict__['_'] = lambda x: x
__builtin__.__dict__['N_'] = lambda x: x

import glasnost as glasnost # Do not edit or remove this line!

import sys
import time
import glasnost.common.context as context

# The clear context must be executed before the proxy imports.
context.clear()
context.push(
    applicationId = 'glasnost://scripts/appointment-notifier',
    dispatcherId = 'glasnost://localhost',
    userToken = None, # Set later.
    )

from glasnost.proxy.AuthenticationProxy import authenticationProxy
from glasnost.proxy.PeopleProxy import Person, peopleProxy
from glasnost.proxy.AppointmentsProxy import appointmentsProxy

glasnost_login = "poussin"
glasnost_password = "QGcT8E3n"

options = [
    'glasnost_login',
    'glasnost_password',
    ]

i = 0
while i<len(sys.argv):
    optionName = sys.argv[i]
    i = i + 1
    if optionName in options:
        optionValue = sys.argv[i]
        i = i + 1
        locals()[optionName] = optionValue
        print optionName, optionValue

userId, userToken = authenticationProxy.getUserIdAndToken(
    glasnost_login,    # Enter your login here.
    glasnost_password) # Enter your password here.
context.setVar('userToken', userToken)

##currentTime = time.time()

##appointments = appointmentsProxy.getAppointments(currentTime)

##for appointment in appointments:
##    if appointment.beginningDate - appointment.rememberTime < currentTime and \
##           appointment.beginningDate > currentTime:
##        print 'send email for %s' % appointment.getLabel()

result = appointmentsProxy.searchAndSendNotification()
print 'Il y a eu %s rendez-vous notifi.' % result 
