addEvent(window, "load", makeBalloonHelp);

var CURRENT_BALLOON_HELP;
var browser = new Browser();

function makeBalloonHelp() {
    if (!document.createElement) return;
    trs = document.getElementsByTagName("tr");
    for (var tri=0;tri<trs.length;tri++) {
        tr = trs[tri];
        if (tr.nodeName == "TR" && tr.className == "row") {
            processElem(tr);
        }
    }

    divs = document.getElementsByTagName("div");
    for (var divi=0;divi<divs.length;divi++) {
        div = divs[divi];
        if (div.nodeName == "DIV" && div.className == "row") {
            processElem(div);
        }
    }
}

function processElem(elem) {
    if (!elem.childNodes || elem.childNodes.length == 0) return;
    var s = "";
    for (var itemi=0;itemi<elem.childNodes.length;itemi++) {
        var item = elem.childNodes[itemi];
        if (item.className == "field-description") {
            s = item.innerHTML;
            continue;
        }
        if (item.className == "field-value" || item.className == "cell") {
            if (s == "") continue;
            selects = item.getElementsByTagName("select");
            for (var selecti=0; selecti<selects.length; selecti++) {
                select = selects[selecti];
                addEvent(select, "mouseover", showBalloonHelp);
                addEvent(select, "mouseout", hideBalloonHelp);
                addEvent(select, "focus", showBalloonHelp);
                addEvent(select, "blur", hideBalloonHelp);
                addEvent(select, "keydown", hideBalloonHelp);
                select.setAttribute("balloon-help", s);
            }
            if ( selects.length > 0 ) continue;
            textareas = item.getElementsByTagName("textarea");
            for (var textareai=0; textareai<textareas.length; textareai++) {
                textarea = textareas[textareai];
                addEvent(textarea, "mouseover", showBalloonHelp);
                addEvent(textarea, "mouseout", hideBalloonHelp);
                addEvent(textarea, "focus", showBalloonHelp);
                addEvent(textarea, "blur", hideBalloonHelp);
                addEvent(textarea, "keydown", hideBalloonHelp);
                textarea.setAttribute("balloon-help", s);
            }
            if ( textareas.length > 0 ) continue;
            inputs = item.getElementsByTagName("input");
            for (var inputi=0; inputi<inputs.length; inputi++) {
                input = inputs[inputi];
                addEvent(input, "mouseover", showBalloonHelp);
                addEvent(input, "mouseout", hideBalloonHelp);
                addEvent(input, "focus", showBalloonHelp);
                addEvent(input, "blur", hideBalloonHelp);
                addEvent(input, "keydown", hideBalloonHelp);
                input.setAttribute("balloon-help", s);
            }
        }
    }
}
            
/*              Utility functions                    */

function addEvent(obj, evType, fn){
    /* adds an eventListener for browsers which support it
         Written by Scott Andrew: nice one, Scott */
    if (obj.addEventListener){
        obj.addEventListener(evType, fn, true);
        return true;
    } else if (obj.attachEvent){
    var r = obj.attachEvent("on"+evType, fn);
        return r;
    } else {
    return false;
    }
}


function showBalloonHelp(e) {
    if (!document.getElementsByTagName) return;
    if (window.event && window.event.srcElement) {
        el = window.event.srcElement
    } else if (e && e.target) {
        el = e.target
    }
    if (!el) return;
    if (el.nodeType == 3) {
        // lnk is a textnode -- ascend parents until we hit a link
        el = getParent(el, "INPUT");
    }
    balloonHelp = el.getAttribute("balloon-help");
    if (!el) return;

    if (CURRENT_BALLOON_HELP) hideBalloonHelp(e);
    
    var d = document.createElement("div");
    d.className = "balloon-help";
    tnt = document.createTextNode(balloonHelp);
    pat = document.createElement("p");
    pat.className = "titletext";
    pat.appendChild(tnt);
    d.appendChild(pat);
    
    STD_WIDTH = 300;
    w = balloonHelp.length * 10;
    if (w > STD_WIDTH) {
      w = STD_WIDTH;
    }
     
    d.style.width = w + 'px';    

    mx = findPosX(el);
    my = findPosY(el);
    //xy = getMousePosition(e);
    //mx = xy[0]; my = xy[1];
    
    d.style.left = (mx+15) + 'px';
    d.style.top = (my+25) + 'px';

    if (document.body && document.body.offsetWidth && ((mx+w) > document.body.offsetWidth)) {
        d.style.left = (document.body.offsetWidth - w - 20) + "px";
    }
    
    document.getElementsByTagName("body")[0].appendChild(d);
    
    CURRENT_BALLOON_HELP = d;

    //if ( el.nodeName == "TEXTAREA" ) {
//        setTimeout("hideBalloonHelp(0)", 5000);
    //}
}

function hideBalloonHelp(e) {
    if (!document.getElementsByTagName) return;
    if (CURRENT_BALLOON_HELP) {
        document.getElementsByTagName("body")[0].removeChild(CURRENT_BALLOON_HELP);
        CURRENT_BALLOON_HELP = null;
    }
}

// Add an eventListener to browsers that can do it somehow.
// Originally by the amazing Scott Andrew.
function addEvent(obj, evType, fn){
    if (obj.addEventListener){
        obj.addEventListener(evType, fn, true);
        return true;
    } else if (obj.attachEvent){
        var r = obj.attachEvent("on"+evType, fn);
        return r;
    } else {
        return false;
    }
}

function getParent(el, pTagName) {
    if (el == null) return null;
    else if (el.nodeType == 1 && el.tagName.toLowerCase() == pTagName.toLowerCase())    // Gecko bug, supposed to be uppercase
        return el;
    else
        return getParent(el.parentNode, pTagName);
}

function getMousePosition(event) {
    if (browser.isIE) {
        x = window.event.clientX + document.documentElement.scrollLeft
            + document.body.scrollLeft;
        y = window.event.clientY + document.documentElement.scrollTop
            + document.body.scrollTop;
    }
    if (browser.isNS) {
        x = event.clientX + window.scrollX;
        y = event.clientY + window.scrollY;
    }
    return [x,y];
}

// Determine browser and version.

function Browser() {
// blah, browser detect, but mouse-position stuff doesn't work any other way
    var ua, s, i;

    this.isIE        = false;
    this.isNS        = false;
    this.version = null;

    ua = navigator.userAgent;

    s = "MSIE";
    if ((i = ua.indexOf(s)) >= 0) {
        this.isIE = true;
        this.version = parseFloat(ua.substr(i + s.length));
        return;
    }

    s = "Netscape6/";
    if ((i = ua.indexOf(s)) >= 0) {
        this.isNS = true;
        this.version = parseFloat(ua.substr(i + s.length));
        return;
    }

    // Treat any other "Gecko" browser as NS 6.1.

    s = "Gecko";
    if ((i = ua.indexOf(s)) >= 0) {
        this.isNS = true;
        this.version = 6.1;
        return;
    }
}


function findPosX(obj)
{
    var curleft = 0;
    if (obj.offsetParent)
    {
        while (obj.offsetParent)
        {
            curleft += obj.offsetLeft
            obj = obj.offsetParent;
        }
    }
    else if (obj.x)
        curleft += obj.x;
    return curleft;
}

function findPosY(obj)
{
    var curtop = 0;
    if (obj.offsetParent)
    {
        while (obj.offsetParent)
        {
            curtop += obj.offsetTop
            obj = obj.offsetParent;
        }
    }
    else if (obj.y)
        curtop += obj.y;
    return curtop;
}
