# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Frdric Pters <fpeters@theridion.com>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Ouvaton, Frdric Pters, Benjamin Poussin, Rodolphe
#     Quideville, Emmanuel Raviart, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Login Python Web Page"""

__version__ = '$Revision: 1.13 $'[11:-2]


from glasnost.common.ObjectsCommon import ObjectCommon
import glasnost.common.slots as slots
import glasnost.common.context as context
import glasnost.common.xhtmlgenerator as X

from glasnost.web.ObjectsWeb import ObjectWebMixin
from glasnost.common.CommentsCommon import CommentCommon
from glasnost.web.tools import *


class Comment(ObjectWebMixin, CommentCommon):
    body_kind_widget_fieldLabel = N_('Text')
    body_kind_widget_cols = 75
    body_kind_widget_colSpan = 2
    body_kind_widget_preview = 0
    body_kind_widget_rows = 20
    body_kind_widgetName = 'TextArea'

    title_kind_widget_fieldLabel = N_('Title')
    #title_kind_widget_maxLength = 40
    title_kind_widget_size = 40
    title_kind_widgetName = 'InputText'

    def getEditLayoutHiddenSlotNames(self, fields, parentSlot = None): 
        hiddenSlotNames = ObjectWebMixin.getEditLayoutHiddenSlotNames(
                    self, fields, parentSlot = parentSlot)
        hiddenSlotNames = hiddenSlotNames[:]
        hiddenSlotNames += ['authorId', 'sourceId']
        return hiddenSlotNames


def index(nextUri = '', again = '', error = '', **keywords):
    if keywords is None:
        keywords = {}
    comment = Comment()
    if not again:
        comment.initFields(keywords)
    comment.repairFields(keywords)
    headerTitle = _('Comment')

    layout = X.array()
    layout += comment.getErrorLayout(error, keywords)
    form = X.form(action = X.url('/post/submit'), method = 'post')
    layout += form

    if CssJunkie:
        form += comment.getEditLayout(keywords)
    else:
        form += X.table(_class = 'page-body')(comment.getEditLayout(keywords))
    form += X.input(name = 'nextUri', type = 'hidden', value = nextUri)
    form += X.div(_class = 'buttons-bar')(
        X.span(_class = 'action-buttons-bar')(
            X.buttonInForm('post', 'postButton')))
    return writePageLayout(layout, headerTitle)


def submit(nextUri = '', **keywords):
    if keywords is None:
        keywords = {}
    error = 0
    comment = Comment()
    if error:
        keywords['again'] = '1'
        keywords['error'] = '1'
    else:
        comment.submitFields(keywords)
    if keywords.has_key('again') and keywords['again']:
        uri = X.url('post')
        uri.add('nextUri', nextUri)
        uri.addKeywords(keywords)
        return redirect(uri)

    comment.authorId = context.getVar('userId')
    if not comment.authorId:
        del(comment.authorId)

    commentsProxy = getProxyForServerRole('comments')
    commentsProxy.addObject(comment)
    return redirect(nextUri)

